# Rarity Score (TF-IDF)

Term Frequency-Inverse Document Frequency(TF-IDF), is a numerical statistic that reflects the importance of a term within a document in a corpus. It is the default score for matched terms.

**Example:**

{% code lineNumbers="true" %}

```python
{
  "query": {
    "bool": {
      "must": 
        {
          "term": {
            "Color": "Black"
         }
      }
    }
  }
}
```

{% endcode %}

In the above example, matched documents will be assigned with a score based on the TF-IDF formula and will be ranked accordingly.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/scoring-and-ranking/rarity-score-tf-idf.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
